Bug 117082 - system-config-sound crashes
Summary: system-config-sound crashes
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-28 07:45 UTC by Gregory Leblanc
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version: 1.2.5-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-02 05:17:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gregory Leblanc 2004-02-28 07:45:37 UTC
Description of problem:
system-config-sound crashes when clicking on either of the buttons in
the window.  Clicking on OK results in the info below on the console:

$ system-config-soundcard
Traceback (most recent call last):
  File "/usr/share/system-config-soundcard/soundcard.py", line 185, in
okClicked    self.apply()
  File "/usr/share/system-config-soundcard/soundcard.py", line 200, in
apply
    self.writeUnloadReload(selectedItem, module)
  File "/usr/share/system-config-soundcard/soundcard.py", line 270, in
writeUnloadReload
    self.soundcardBackend.setVolume()
  File "/usr/share/system-config-soundcard/soundcardBackend.py", line
212, in setVolume
    os.execv(amixer_path, amixer_args)
OSError: [Errno 2] No such file or directory
[gleblanc@glaptop SPECS]$
(system-config-soundcard.py:6252): Gdk-WARNING **: GdkWindow 0x3600035
unexpectedly destroyed
 
(system-config-soundcard.py:6252): Gdk-WARNING **: GdkWindow 0x3600036
unexpectedly destroyed
 
(system-config-soundcard.py:6252): Gdk-WARNING **: GdkWindow 0x3600037
unexpectedly destroyed
 
(system-config-soundcard.py:6252): Gdk-WARNING **: GdkWindow 0x3600005
unexpectedly destroyed
 
Gdk-ERROR **: The program 'system-config-soundcard.py' received an X
Window System error.
This probably reflects a bug in the program.
The error was 'RenderBadPicture (invalid Picture parameter)'.
  (Details: serial 574 error_code 183 request_code 155 minor_code 7)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behavior. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error()
function.)
aborting...
 

Version-Release number of selected component (if applicable):
system-config-soundcard-1.2.4-1


How reproducible:
Always

Comment 1 Bill Nottingham 2004-03-02 05:06:17 UTC
No alsa-utils installed, I presume?

Comment 2 Bill Nottingham 2004-03-02 05:17:33 UTC
Fixed in 1.2.5-1.


Note You need to log in before you can comment on or make changes to this bug.